## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanNodeList Class Reference

`#include <XalanNodeList.hpp>`

Inheritance diagram for XalanNodeList

List of all members.

## Public Methods

- XalanNodeList ()
- virtual ~XalanNodeList ()
- virtual XalanNode* item (unsigned int index) const = 0
    Returns the `index`th item in the collection. More...
- virtual unsigned int getLength () const = 0
    Returns the number of nodes in the list. More...

## Protected Methods

- XalanNodeList (const XalanNodeList& theSource)
- XalanNodeList& operator= (const XalanNodeList& theSource)
- bool operator== (const XalanNodeList& theRHS) const

## Constructor & Destructor Documentation

XalanNodeList::XalanNodeList ( | )

virtual XalanNodeList::~XalanNodeList ( | )`[virtual]`

XalanNodeList::XalanNodeList ( | const XalanNodeList & theSource )`[protected]`

## Member Function Documentation

unsigned int XalanNodeList::getLength ( | ) const`[pure virtual]`

Returns the number of nodes in the list.

The range of valid child node indices is 0 to `length-1` inclusive.

Reimplemented in XalanNodeListDummy, XalanNodeListSurrogate, XercesNodeListBridge, and XercesNodeListWrapper.

XalanNode * XalanNodeList::item ( | unsigned int index ) const`[pure virtual]`

Returns the `index`th item in the collection.

If `index` is greater than or equal to the number of nodes in the list, this returns `null`.

Parameters:

  index | Index into the collection.

Returns:
  The node at the `index`th position in the `NodeList`, or `null` if that is not a valid index.

Reimplemented in XalanNodeListDummy, XalanNodeListSurrogate, XercesNodeListBridge, and XercesNodeListWrapper.

XalanNodeList & XalanNodeList::operator= ( | const XalanNodeList & theSource )`[protected]`

bool XalanNodeList::operator== ( | const XalanNodeList & theRHS ) const`[protected]`

The documentation for this class was generated from the following file:

- XalanNodeList.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.